## org.apache.ivy.osgi.updatesite
Class UpdateSiteDescriptor

    java.lang.Object
      org.apache.ivy.osgi.repo.RepoDescriptor
          org.apache.ivy.osgi.updatesite.UpdateSiteDescriptor

    public class UpdateSiteDescriptor

extends RepoDescriptor

Constructor Summary
`UpdateSiteDescriptor(java.net.URI baseUri, ExecutionEnvironmentProfileProvider profileProvider)`

Method Summary
`void` `addFeature(EclipseFeature feature)`

Methods inherited from class org.apache.ivy.osgi.repo.RepoDescriptor
`add, addBundle, equals, findModule, getBaseUri, getCapabilityValues, getModuleByCapbilities, getModules, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UpdateSiteDescriptor

    public UpdateSiteDescriptor(java.net.URI baseUri,
                                ExecutionEnvironmentProfileProvider profileProvider)

Method Detail

### addFeature

    public void addFeature(EclipseFeature feature)